package com.ruoyi.approvalFlow.service.impl;

import java.util.List;

import com.ruoyi.approvalFlow.domain.AuditPathsLevels;
import com.ruoyi.approvalFlow.mapper.AuditPathsLevelsMapper;
import com.ruoyi.approvalFlow.service.IAuditPathsLevelsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 审批流配置明细级别Service业务层处理
 *
 * @author ruoyi
 * @date 2021-01-21
 */
@Service
public class AuditPathsLevelsServiceImpl implements IAuditPathsLevelsService {
    @Autowired
    private AuditPathsLevelsMapper auditPathsLevelsMapper;

    /**
     * 查询审批流配置明细级别
     *
     * @param id 审批流配置明细级别ID
     * @return 审批流配置明细级别
     */
    @Override
    public AuditPathsLevels selectAuditPathsLevelsById(Long id) {
        return auditPathsLevelsMapper.selectAuditPathsLevelsById(id);
    }

    /**
     * 查询审批流配置明细级别列表
     *
     * @param auditPathsLevels 审批流配置明细级别
     * @return 审批流配置明细级别
     */
    @Override
    public List<AuditPathsLevels> selectAuditPathsLevelsList(AuditPathsLevels auditPathsLevels) {
        return auditPathsLevelsMapper.selectAuditPathsLevelsList(auditPathsLevels);
    }

    /**
     * 新增审批流配置明细级别
     *
     * @param auditPathsLevels 审批流配置明细级别
     * @return 结果
     */
    @Override
    public int insertAuditPathsLevels(AuditPathsLevels auditPathsLevels) {
        return auditPathsLevelsMapper.insertAuditPathsLevels(auditPathsLevels);
    }

    /**
     * 修改审批流配置明细级别
     *
     * @param auditPathsLevels 审批流配置明细级别
     * @return 结果
     */
    @Override
    public int updateAuditPathsLevels(AuditPathsLevels auditPathsLevels) {
        return auditPathsLevelsMapper.updateAuditPathsLevels(auditPathsLevels);
    }

    /**
     * 批量删除审批流配置明细级别
     *
     * @param ids 需要删除的审批流配置明细级别ID
     * @return 结果
     */
    @Override
    public int deleteAuditPathsLevelsByIds(Long[] ids) {
        return auditPathsLevelsMapper.deleteAuditPathsLevelsByIds(ids);
    }

    /**
     * 删除审批流配置明细级别信息
     *
     * @param id 审批流配置明细级别ID
     * @return 结果
     */
    @Override
    public int deleteAuditPathsLevelsById(Long id) {
        return auditPathsLevelsMapper.deleteAuditPathsLevelsById(id);
    }
}
